
import java.util.Scanner;
import javax.swing.JFrame;
import javax.swing.JTabbedPane;

public class Main {

	public static void main(String[] args) {
		try {
			VistaAniadir vista = new VistaAniadir();
			VistaModificar vista2 = new VistaModificar();
			Modelo modelo = new Modelo();
			ControladorAniaidr controlador = new ControladorAniaidr(vista, modelo);
			ControladorModificar controlador2 = new ControladorModificar(vista2, modelo);
			JFrame frame = new JFrame();
			frame.setSize(500, 500);
			JTabbedPane pestanias = new JTabbedPane();
			pestanias.addTab("aniadir", vista);
			pestanias.addTab("modificar", vista2);
			pestanias.addChangeListener((ChangeListener)->{
				controlador2.cargarFilas();
			});
			frame.add(pestanias);
			frame.setVisible(true);
		}catch(Exception e) {
			e.printStackTrace();
			System.out.println("Error inesperado"
					+ "\nPuede que no este bien definida su contrasenia de MySQL"
					+ "\nIntroducela:");
			Scanner es = new Scanner(System.in);
			Configuracion.guardarConfiguracion(es.nextLine());
			System.out.println("prueba a reabrir el programa");
			es.close();
		}
		
	}

}
